---
galaxy_info:
  role_name: fdroid
  author: hacklab underscore
  description: install an fdroid server and gplaycli tool
  company: cisti.org

  min_ansible_version: 1.2

  platforms:
  - name: Debian
    versions:
    - buster

dependencies:

  - role: nginxinc.nginx
  - role: nginxinc.nginx_config
    vars:
      nginx_config_http_template_enable: true
      nginx_config_http_template:
        app:
          template_file: http/default.conf.j2
          conf_file_name: default.conf
          conf_file_location: /etc/nginx/conf.d/
          servers:
            server1:
              listen:
                listen_localhost:
                  port: 80
              server_name: localhost
              web_server:
                locations:
                  main_site:
                    location: /
                    html_file_location: "{{ fdroid_html_dir }}"
                    autoindex: true

  - role: stable/restic
    when: with_backup | bool
    vars:
        restic_folders: ['{{ fdroid_repo_dir }}']

